<?php

namespace AppBundle\Annotation;

use Doctrine\Common\Annotations\Annotation;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\ConfigurationAnnotation;

/**
 * @Annotation
 */
class DemoControllerAnnotation extends ConfigurationAnnotation
{
    /**
     * @var string
     */
    public $value;

    /**
     * @var string
     */
    public $demo;

    /**
     * @var string
     */
    public $addDemoValue;

    /**
     * @return string
     * @see ConfigurationInterface
     */
    public function getAliasName()
    {
        return 'demoAnnotation';
    }

    /**
     * @return bool
     * @see ConfigurationInterface
     */
    public function allowArray()
    {
        return false;
    }

    /**
     * @return string
     */
    public function getDemo()
    {
        return $this->demo;
    }

    /**
     * @param string $demo
     * @return DemoControllerAnnotation
     */
    public function setDemo($demo)
    {
        $this->demo = $demo;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getAddDemoValue()
    {
        return $this->addDemoValue;
    }

    /**
     * @param mixed $addDemoValue
     * @return DemoControllerAnnotation
     */
    public function setAddDemoValue($addDemoValue)
    {
        $this->addDemoValue = $addDemoValue;
        return $this;
    }

    /**
     * @return string
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * @param string $value
     * @return DemoControllerAnnotation
     */
    public function setValue($value)
    {
        $this->value = $value;
        return $this;
    }
}
