<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Symfony\Component\HttpFoundation\Request;
use AppBundle\Model\DemoModel;
use AppBundle\Annotation\DemoControllerAnnotation;

/**
 * Class DefaultController
 * @package AppBundle\Controller
 */
class DefaultController extends Controller
{
    /**
     * @Route("/", name="index")
     * @Template()
     * @DemoControllerAnnotation("Demo", demo="Controller Action Annotation", addDemoValue="true")
     */
    public function indexAction(Request $request)
    {
dump($request);
        // reading of annotated data from data class properties

        $demoService = $this->get('demo_service');

        $demoModel = new DemoModel();
        $demoModel
            ->setSomeValue('Some Thing')
            ->setSomeOtherValue('Some Other Thing')
            ->setYetAnotherValue('Anything Else');

        // passing our demo model to a service, just to demonstrate the annotation parsing/reading can be done
        // anywhere in the code
        $propertiesData = $demoService->doSomething($demoModel);


        // data added / processed by the controller annotation

        // added by the event subscriber, based on the annotation parameter "addDemoValue"
        $annotationValue1 = $request->attributes->get('demoValue', '---');

        // the added annotation object, handled and added by Symfony mechanisms
        $annotationValue2 = '---';
        $annotation = $request->attributes->get('_demoAnnotation', null);
        if( $annotation instanceof DemoControllerAnnotation) {
            $annotationValue2 = $annotation->getDemo();
        }

        return [
            'properties' => $propertiesData,
            'annotationValue1' => $annotationValue1,
            'annotationValue2' => $annotationValue2,
        ];
    }
}
